<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Carbon\Carbon;

use App\Models\Container;
use App\Models\Waste;
use App\Models\Cities;
use App\Models\Location;

class PricesController extends Controller
{
    protected $minDays = 3;
    /**
     * Display Price.
     */
    public function index()
    {
        // $data = $errosList = array();

        $data = $errorsList = [];

        $days = 0;

        $postcode = $wasteType = $sizeContainer = $deliveryDate = $collectionDate = '';
        $price = 0;

        if(isset($_REQUEST['postcode']) && !empty($_REQUEST['postcode'])) {
            $postcode = $_REQUEST['postcode'];
        }
        else {
            $errorsList[] = 'Please enter correct address';
        }

        if(isset($_REQUEST['waste']) && !empty($_REQUEST['waste'])) {
            $wasteType = $_REQUEST['waste'];
            // $wasteType = 1;
        }
        else {
            $errorsList[] = 'Please select waste type';
        }

        if(isset($_REQUEST['size']) && !empty($_REQUEST['size'])) {
            $sizeContainer = $_REQUEST['size'];
            // $sizeContainer = 4;
        }
        else {
            $errorsList[] = 'Please select container size';
        }

        if(isset($_REQUEST['delivery']) && !empty($_REQUEST['delivery'])) {
            $deliveryDate = $_REQUEST['delivery'];
            // $deliveryDate = '2024-05-20';
        }
        else {
            $errorsList[] = 'Please select delivery date';
        }

        if(isset($_REQUEST['collection']) && !empty($_REQUEST['collection'])) {
            $collectionDate = $_REQUEST['collection'];
            // $collectionDate = '2024-06-01';
        }
        else {
            $errorsList[] = 'Please select collection date';
        }

        if(!empty($deliveryDate) && !empty($collectionDate)) {
            $start = Carbon::parse($deliveryDate);
            $end = Carbon::parse($collectionDate);

            // Calculate the difference in days
            // $days = $start->diffInDays($end) + 1;
            $days = $start->diffInDays($end);

            // var_dump($days);

            // $startFormat = Carbon::createFromFormat('m/d/Y', trim($deliveryDate));
            // // var_dump($start);
        }

        if(!empty($postcode)) {
            $locationData = Location::where('zip',$postcode)->first();
            $locationPrice = $locationData['price'];
            if($locationPrice > 0) {
                $price += $locationPrice['price'];
            }
        }

        if(!empty($wasteType)) {
            $wasteData = Waste::where('id',$wasteType)->first();
            $basePriceDays = $wasteData['base_price_7days'];
            $basePriceDay = $wasteData['base_price_1day'];
            $containerPrice = unserialize($wasteData['container_prices']);
            $extraHireagePrice = $wasteData['extra_hireage_amount'];
            $extraHireageDays = $wasteData['extra_hireage_days'];
            $daterangePrices = unserialize($wasteData['daterange_prices']);

            $addContainerPrice = false;
            $datePriceCounter = 0;

            if($days <= $this->minDays) {
                $price += $basePriceDay;
            }
            else if($basePriceDays > 0) {
                $price += $basePriceDays;
            }

            if($days > $extraHireageDays) {
                $price += ($days - $extraHireageDays) * $extraHireagePrice;
            }

            // var_dump($containerPrice);
            // // var_dump($daterangePrices);

            if(!empty($daterangePrices)) {
                foreach($daterangePrices as $daterange) {
                    $dates = $daterange['dates'];
                    // var_dump($dates);

                    list($startRange, $endRange) = explode(' - ', $dates);

                    $isEqualStartRange = date('m/d/Y',strtotime($startRange));
                    $isEqualEndRange = date('m/d/Y',strtotime($endRange));
                    // // var_dump($isEqualStartRange);

                    $startRange = Carbon::createFromFormat('m/d/Y', trim($startRange));
                    $endRange = Carbon::createFromFormat('m/d/Y', trim($endRange));

                    // // var_dump($startRange);

                    if(!empty($start)) {
                        // // var_dump($start);
                        $isWithinRange = $start->greaterThanOrEqualTo($startRange) && $start->lessThanOrEqualTo($endRange);
                        $isEqualStart = date('m/d/Y',strtotime($start));
                        // // var_dump($isEqualStart);
                        $isEqualWithRange = ($isEqualStartRange == $isEqualStart) || ($isEqualStartRange == $isEqualEndRange);

                        if($isEqualWithRange) {
                            // var_dump(true);
                        }
                        else {
                            // var_dump(false);
                        }

                        if($isWithinRange || $isEqualWithRange) {
                        // if($isWithinRange) {
                            if(isset($daterange['sizes'])) {
                                $dateSizes = $daterange['sizes'];
                                // var_dump($dateSizes);
                                if(in_array($sizeContainer,$dateSizes)) {
                                    if(isset($daterange['price'])) {
                                        $datePrice = $daterange['price'];
                                        // var_dump($datePrice);
                                        $price += $datePrice;
                                    }
                                }
                                else {
                                    // var_dump("Size not matched");
                                    $datePriceCounter++;
                                }
                            }
                            else {
                                if(isset($daterange['price'])) {
                                    $datePrice = $daterange['price'];
                                    // var_dump($datePrice);
                                    $price += $datePrice;
                                }
                                // var_dump('No container sizes');
                                // $price += $datePrice;
                            }
                            break;
                        }
                        else {
                            $isWithinRange = $start->gte($startRange) || $start->lte($endRange);
                            // var_dump('Start date not between');
                            // $datePriceCounter++;
                        }
                    }
                    else {
                        // var_dump('No Start date');
                    }

                }
            }
            else {
                $datePriceCounter++;
            }

            if($datePriceCounter > 0) {
                $addContainerPrice = true;
            }

            // // var_dump($addContainerPrice);
            // var_dump($datePriceCounter);

            if($addContainerPrice && !empty($containerPrice)) {
                // var_dump("Add container size prices");
                if(isset($containerPrice[$sizeContainer])) {
                    $price += $containerPrice[$sizeContainer];
                }
            }
        }

        // var_dump($price);
        // exit();

        if(!empty($errorsList)) {
            $data = [
                'status' => false,
                'errors' => $errorsList
            ];
        }
        else {
            if($price > 0) {
                $data = [
                    'status' => true,
                    'price' => $price
                ];
            }
            else {
                $data = [
                    'status' => false,
                    'errors' => 'No price'
                ];
            }
        }

        return response()->json($data);
    }
}
