<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Container;

class SizesController extends Controller
{
    /**
     * Get Sizes.
     */
    public function index()
    {
        $data = array();

        $containerSizes = Container::where('status','enable')->get();

        if($containerSizes) {
            $sizesList = array();
            foreach($containerSizes as $size) {
                $list['id'] = $size->id;
                $list['name'] = $size->name;
                $list['description'] = $size->description;
                $list['image'] = $size->image ? asset('storage/' . $size->image) : '';
                $sizesList[] = $list;
            }
        }

        if ($containerSizes->isNotEmpty()) {
            $data = [
                'status' => true,
                'sizes' => $sizesList
            ];
        }
        else {
            $data = [
                'status' => false,
                'message' => 'No container found'
            ];

        }

        return response()->json($data);
    }
}
