<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Container;
use App\Models\Waste;

class WastesController extends Controller
{
    /**
     * Get Locations.
     */
    public function index()
    {
        $data = array();

        $wasteTypes = Waste::where('status','enable')->get();

        if($wasteTypes) {
            $wasteList = array();
            foreach($wasteTypes as $type) {
                $list['id'] = $type->id;
                $list['name'] = $type->name;
                $list['can_put_in'] = $type->can_put_in;
                $list['cant_put_in'] = $type->cant_put_in;
                $wasteList[] = $list;
            }
        }

        if ($wasteTypes->isNotEmpty()) {
            $data = [
                'status' => true,
                'wastetypes' => $wasteList
            ];
        }
        else {
            $data = [
                'status' => false,
                'message' => 'No container found'
            ];

        }

        return json_encode($data);
    }
}
