<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\API\LocationsController;
use App\Http\Controllers\API\ServiceareasController;
use App\Http\Controllers\API\PricesController;
use App\Http\Controllers\API\WastesController;
use App\Http\Controllers\API\SizesController;
use App\Http\Controllers\API\OrderController;

Route::get('/user', function (Request $request) {
    return $request->user();
})->middleware('auth:sanctum');

Route::apiResource('locations', LocationsController::class);
Route::get('check-zip-code', [LocationsController::class, "checkZipcode"]);
Route::apiResource('serviceareas', ServiceareasController::class);
Route::apiResource('getprices', PricesController::class);
Route::apiResource('wastetypes', WastesController::class);
Route::apiResource('containerSizes', SizesController::class);
Route::apiResource('save-order', OrderController::class);
Route::post('my-account', [OrderController::class, "checkEmail"]);
Route::post('verify-code', [OrderController::class, "verifyCode"]);
Route::post('get-orders', [OrderController::class, "getOrders"]);
